package me.map.example;

import me.map.ultimatekingdom.api.UltimateKingdom;
import me.map.ultimatekingdom.api.objects.Kingdom;
import me.map.ultimatekingdom.api.objects.KingdomPlayer;
import org.bukkit.event.EventHandler;
import org.bukkit.event.EventPriority;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerJoinEvent;
import org.bukkit.plugin.java.JavaPlugin;

public class Example extends JavaPlugin implements Listener {

    @EventHandler(priority = EventPriority.LOWEST)
    public void onJoin(PlayerJoinEvent event) {

        if (event.getPlayer() == null) return;
        KingdomPlayer player = UltimateKingdom.Players().getPlayer(event.getPlayer());

       if (player.getKingdom() == null) {
           System.out.println("Player has no kingdom");
       }else {
           System.out.println("Player has kingdom " + player.getKingdom().getName());


            //checking for a kingdom
           if (UltimateKingdom.Kingdoms().getKingdom("MyKingdom") != null) {

               // get the kingdom
               Kingdom kingdom = UltimateKingdom.Kingdoms().getKingdom("MyKingdom");

               // set user in kingdom
               player.setKingdom(kingdom);
               System.out.println("Player is now member of kingdom " + kingdom.getName());

           }
       }

       // teleport player in a few seconds to spawn
        UltimateKingdom.getKingdomServer().TeleportManager().TelePortPlayer(player.getPlayer(), player.getKingdom().getSpawn(),
                "Kingdom Spawn");

    }
}
